{$style = $instance->getProperty('listStyle')}

{if $isPreview}
  <div class="opc-ProductStream{if $portlet->showLicenceAlert()} alert alert-danger" role="alert{/if}"
    style="{$instance->getStyleString()}">
    {if $portlet->showLicenceAlert()}
      <p>{$portlet->showLicenceInfo()}</p>
      {assign var=dHintLink value="<a href='{$portlet->cinUrl()}'>{$portlet->cinUrlText()}</a>"}
      {assign var=hintText value=__("po_visit_cin")}
      {$dHint = sprintf($hintText, $dHintLink)}
      <p>{$dHint}</p>
    {else}
      {$manufacturerList = $portlet->getPreviewManufacturers($instance)}
      <div id="{$instance->getUid()}"
        class="carousel carousel-arrows-inside evo-slider slick-lazy opc-ProductStream opc-ProductStream-{$style} slick-type-product"
        data-slick-type="product-slider" style="{$instance->getStyleString()}">
        {foreach $manufacturerList as $manufacturer}
          <div class="product-wrapper manufacturer-wrapper">

            <div class="square square-image">
              <div class="inner">
                {image fluid=true lazy=true webp=false src=$manufacturer->image alt="{$manufacturer->imageAlt}"}
              </div>
            </div>

            {if $instance->getProperty('showNames')}
              <div class="caption text-center">

                {$manufacturer->name}

              </div>
            {/if}
          </div>
        {/foreach}
      </div>
    {/if}
  </div>
{else}
  {$manufacturerList = $portlet->getManufacturers($instance)}

  <div id="{$instance->getUid()}"
    class="carousel carousel-arrows-inside evo-slider slick-lazy opc-ProductStream opc-ProductStream-{$style} slick-type-product"
    data-slick-type="product-slider" style="{$instance->getStyleString()}">
    {foreach $manufacturerList as $manufacturer}
      <div class="product-wrapper manufacturer-wrapper">
        {link href=$manufacturer->getURL()}
        <div class="square square-image">
          <div class="inner">
            {if $manufacturer->getImage('md')}
              {image fluid=true lazy=true webp=false src=($manufacturer->getImage('md')) alt="{$manufacturer->getName()}"}
            {else}
              {image fluid=true lazy=true webp=false src='/gfx/keinBild.gif' alt="{$manufacturer->getName()}"}
            {/if}
          </div>
        </div>
        {/link}
        {if $instance->getProperty('showNames')}
          <div class="caption text-center">
            {link href=$manufacturer->getURL()}
            {$manufacturer->getName()}
            {/link}
          </div>
        {/if}
      </div>
    {/foreach}
  </div>
{/if}
