<?php

// 140 - HOOK_SMARTY_OUTPUTFILTER

use Cin\Bistro5\Licence;
use Cin\Bistro5\Plugin;

require dirname(__DIR__, 2).'/src/warmup.php';

/** @var Licence $L */
/** @var Plugin $P */

if ( ! $L->canRun()) {
  return;
}

$_plugin = $P->getJTlPlugin();

$pqList = pq('.cin-portlet-script');
$portletScripts = [];
$removing = [];

/** @var DOMElement $e */
foreach ($pqList as $k => $e) {
  
  if (in_array($e->nodeValue, $portletScripts)) {
    $removing[] = $k;
    continue;
  }
  $portletScripts[] = $e->nodeValue;
}

rsort($removing);

foreach ($removing as $k) pq(pq($pqList)->get($k))->remove();

// 140 - HOOK_SMARTY_OUTPUTFILTER